/* Midi instrument names
 * 
 * By W.H.Scholten 1998
 *
 * This file is public domain.
 */


#ifndef _GSI__gsi_midi_names_h
#define _GSI__gsi_midi_names_h

char *gsi_gmvoice_names[128] = {
	/* [ General MIDI voices ] */
	/*   0 */ "Acoustic grand piano",
	/*   1 */ "Bright acoustic piano",
	/*   2 */ "Electric grand piano",
	/*   3 */ "Honky-tonk piano",
	/*   4 */ "Rhodes piano",
	/*   5 */ "Chorused piano",
	/*   6 */ "Harpsichord",
	/*   7 */ "Clavinet",
	/*   8 */ "Celesta",
	/*   9 */ "Glockenspiel",
	/*  10 */ "Music box",
	/*  11 */ "Vibraphone",
	/*  12 */ "Marimba",
	/*  13 */ "Xylophone",
	/*  14 */ "Tubular bells",
	/*  15 */ "Dulcimer",
	/*  16 */ "Hammond organ",
	/*  17 */ "Percussive organ",
	/*  18 */ "Rock organ",
	/*  19 */ "Church organ",
	/*  20 */ "Reed organ",
	/*  21 */ "Accordion",
	/*  22 */ "Harmonica",
	/*  23 */ "Tango accordion",
	/*  24 */ "Acoustic guitar (nylon)",
	/*  25 */ "Acoustic guitar (steel)",
	/*  26 */ "Electric guitar (jazz)",
	/*  27 */ "Electric guitar (clean)",
	/*  28 */ "Electric guitar (muted)",
	/*  29 */ "Overdriven guitar",
	/*  30 */ "Distortion guitar",
	/*  31 */ "Guitar harmonics",
	/*  32 */ "Acoustic bass",
	/*  33 */ "Electric bass (finger)",
	/*  34 */ "Electric bass (pick)",
	/*  35 */ "Fretless bass",
	/*  36 */ "Slap bass 1",
	/*  37 */ "Slap bass 2",
	/*  38 */ "Synth bass 1",
	/*  39 */ "Synth bass 2",
	/*  40 */ "Violin",
	/*  41 */ "Viola",
	/*  42 */ "Cello",
	/*  43 */ "Contrabass",
	/*  44 */ "Tremelo strings",
	/*  45 */ "Pizzicato strings",
	/*  46 */ "Orchestral harp",
	/*  47 */ "Timpani",
	/*  48 */ "String ensemble 1",
	/*  49 */ "String ensemble 2",
	/*  50 */ "Synthstrings 1",
	/*  51 */ "Synthstrings 2",
	/*  52 */ "Choir aahs",
	/*  53 */ "Voice oohs",
	/*  54 */ "Synth voice",
	/*  55 */ "Orchestra hit",
	/*  56 */ "Trumpet",
	/*  57 */ "Trombone",
	/*  58 */ "Tuba",
	/*  59 */ "Muted trumpet",
	/*  60 */ "French horn",
	/*  61 */ "Brass section",
	/*  62 */ "Synth brass 1",
	/*  63 */ "Synth brass 2",
	/*  64 */ "Soprano sax",
	/*  65 */ "Alto sax",
	/*  66 */ "Tenor sax",
	/*  67 */ "Baritone sax",
	/*  68 */ "Oboe",
	/*  69 */ "English horn",
	/*  70 */ "Bassoon",
	/*  71 */ "Clarinet",
	/*  72 */ "Piccolo",
	/*  73 */ "Flute",
	/*  74 */ "Recorder",
	/*  75 */ "Pan flute",
	/*  76 */ "Bottle blow",
	/*  77 */ "Shakuhachi",
	/*  78 */ "Whistle",
	/*  79 */ "Ocarina",
	/*  80 */ "Lead 1 (square)",
	/*  81 */ "Lead 2 (sawtooth)",
	/*  82 */ "Lead 3 (calliope lead)",
	/*  83 */ "Lead 4 (chiff lead)",
	/*  84 */ "Lead 5 (charang)",
	/*  85 */ "Lead 6 (voice)",
	/*  86 */ "Lead 7 (fifths)",
	/*  87 */ "Lead 8 (bass + lead)",
	/*  88 */ "Pad 1 (new age)",
	/*  89 */ "Pad 2 (warm)",
	/*  90 */ "Pad 3 (polysynth)",
	/*  91 */ "Pad 4 (choir)",
	/*  92 */ "Pad 5 (bowed)",
	/*  93 */ "Pad 6 (metallic)",
	/*  94 */ "Pad 7 (halo)",
	/*  95 */ "Pad 8 (sweep)",
	/*  96 */ "FX 1 (rain)",
	/*  97 */ "FX 2 (soundtrack)",
	/*  98 */ "FX 3 (crystal)",
	/*  99 */ "FX 4 (atmosphere)",
	/* 100 */ "FX 5 (brightness)",
	/* 101 */ "FX 6 (goblins)",
	/* 102 */ "FX 7 (echoes)",
	/* 103 */ "FX 8 (sci-fi)",
	/* 104 */ "Sitar",
	/* 105 */ "Banjo",
	/* 106 */ "Shamisen",
	/* 107 */ "Koto",
	/* 108 */ "Kalimba",
	/* 109 */ "Bagpipe",
	/* 110 */ "Fiddle",
	/* 111 */ "Shanai",
	/* 112 */ "Tinkle bell",
	/* 113 */ "Agogo",
	/* 114 */ "Steel drums",
	/* 115 */ "Woodblock",
	/* 116 */ "Taiko drum",
	/* 117 */ "Melodic tom",
	/* 118 */ "Synth drum",
	/* 119 */ "Reverse cymbal",
	/* 120 */ "Guitar fret noise",
	/* 121 */ "Breath noise",
	/* 122 */ "Seashore",
	/* 123 */ "Bird tweet",
	/* 124 */ "Telephone ring",
	/* 125 */ "Helicopter",
	/* 126 */ "Applause",
	/* 127 */ "Gunshot"

};

char *gsi_gmdrum_names[] = {
	/* [ General MIDI drums ] */
	/*   0 */ NULL,
	/*   1 */ NULL,
	/*   2 */ NULL,
	/*   3 */ NULL,
	/*   4 */ NULL,
	/*   5 */ NULL,
	/*   6 */ NULL,
	/*   7 */ NULL,
	/*   8 */ NULL,
	/*   9 */ NULL,
	/*  10 */ NULL,
	/*  11 */ NULL,
	/*  12 */ NULL,
	/*  13 */ NULL,
	/*  14 */ NULL,
	/*  15 */ NULL,
	/*  16 */ NULL,
	/*  17 */ NULL,
	/*  18 */ NULL,
	/*  19 */ NULL,
	/*  20 */ NULL,
	/*  21 */ NULL,
	/*  22 */ NULL,
	/*  23 */ NULL,
	/*  24 */ NULL,
	/*  25 */ NULL,
	/*  26 */ NULL,

	/*  27 */ "High Q", /* highq */
	/*  28 */ "Slap",
	/*  29 */ "Scratch push",
	/*  30 */ "Scratch pull",
	/*  31 */ "Sticks",
	/*  32 */ "Square click",
	/*  33 */ "Metronome click",
	/*  34 */ "Metronome bell", /* metbell */

	/*  35 */ "Acoustic bass drum",
	/*  36 */ "Bass drum 1",
	/*  37 */ "Side stick",
	/*  38 */ "Acoustic snare",
	/*  39 */ "Handclap",
	/*  40 */ "Electric snare",
	/*  41 */ "Low floor tom",
	/*  42 */ "Closed high hat",
	/*  43 */ "High floor tom",
	/*  44 */ "Pedal high hat",
	/*  45 */ "Low tom",
	/*  46 */ "Open high hat",
	/*  47 */ "Low-mid tom",
	/*  48 */ "High-mid tom",
	/*  49 */ "Crash cymbal 1",
	/*  50 */ "High tom",
	/*  51 */ "Ride cymbal 1",
	/*  52 */ "Chinese cymbal",
	/*  53 */ "Ride bell",
	/*  54 */ "Tambourine",
	/*  55 */ "Splash cymbal",
	/*  56 */ "Cowbell",
	/*  57 */ "Crash cymbal 2",
	/*  58 */ "Vibrastrap",
	/*  59 */ "Ride cymbal 2",
	/*  60 */ "High bongo",
	/*  61 */ "Low bongo",
	/*  62 */ "Mute high conga",
	/*  63 */ "Open high conga",
	/*  64 */ "Low conga",
	/*  65 */ "High timbale",
	/*  66 */ "Low timbale",
	/*  67 */ "High agogo",
	/*  68 */ "Low agogo",
	/*  69 */ "Cabasa",
	/*  70 */ "Maracas",
	/*  71 */ "Short whistle",
	/*  72 */ "Long whistle",
	/*  73 */ "Short guiro",
	/*  74 */ "Long guiro",
	/*  75 */ "Claves",
	/*  76 */ "High wood block",
	/*  77 */ "Low wood block",
	/*  78 */ "Mute cuica",
	/*  79 */ "Open cuica",
	/*  80 */ "Mute triangle",
	/*  81 */ "Open triangle",

	/*  82 */ "Shaker", /* shaker */
	/*  83 */ "Jingle bell",
	/*  84 */ "Bell tree",
	/*  85 */ "Castinets",
	/*  86 */ "Mute surdo",
	/*  87 */ "Open surdo", /* surdo2 */

	/*  88 */ NULL,
	/*  89 */ NULL,
	/*  90 */ NULL,
	/*  91 */ NULL,
	/*  92 */ NULL,
	/*  93 */ NULL,
	/*  94 */ NULL,
	/*  95 */ NULL,
	/*  96 */ NULL,
	/*  97 */ NULL,
	/*  98 */ NULL,
	/*  99 */ NULL,
	/* 100 */ NULL,
	/* 101 */ NULL,
	/* 102 */ NULL,
	/* 103 */ NULL,
	/* 104 */ NULL,
	/* 105 */ NULL,
	/* 106 */ NULL,
	/* 107 */ NULL,
	/* 108 */ NULL,
	/* 109 */ NULL,
	/* 110 */ NULL,
	/* 111 */ NULL,
	/* 112 */ NULL,
	/* 113 */ NULL,
	/* 114 */ NULL,
	/* 115 */ NULL,
	/* 116 */ NULL,
	/* 117 */ NULL,
	/* 118 */ NULL,
	/* 119 */ NULL,
	/* 120 */ NULL,
	/* 121 */ NULL,
	/* 122 */ NULL,
	/* 123 */ NULL,
	/* 124 */ NULL,
	/* 125 */ NULL,
	/* 126 */ NULL,
	/* 127 */ NULL,

};


#endif /* _GSI__GSI_MIDI_NAMES_H */
